Wednesday, January 25, 2012

Bundler invalid byte sequence

Running "bundle install" today gave me...

ArgumentError: invalid byte sequence in US-ASCII

Normally I use but I recently switched to iTerm as I'm finding it is quite a bit faster, so this little issue caught me out. iTerm doesn't enable UTF-8 by default.

Adding this to ~/.bash_profile will set it no matter what terminal app you're using.

export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8

No comments: